'****************************************************************************
'*
'*                  Copyright (c) 1991-1994 by Jeffrey Sax
'*                            All rights reserved
'*                        Published and Distributed by
'*                           Willmann-Bell, Inc.
'*                             P.O. Box 35025
'*                        Richmond, Virginia 23235
'*                Voice (804) 320-7016 FAX (804) 272-5920
'*
'*
'*                NOTICE TO COMMERCIAL SOFTWARE DEVELOPERS
'*
'*        Prior to distributing software incorporating this code
'*        you MUST write Willmann-Bell, Inc. at the above address
'*        for validation of your book's (Astronomical Algorithms
'*        by Jean Meeus) and software Serial Numbers.  No additional
'*        fees will be required BUT you MUST have the following
'*        notice at the start of your program(s):
'*
'*                    This program contains code
'*              Copyright (c) 1991-1994 by Jeffrey Sax
'*              and Distributed by Willmann-Bell, Inc.
'*                         Serial #######
'*
'****************************************************************************

' First, some general constants and functions

CONST pi = 3.141592653589793#
CONST pi2 = (2 * pi)
CONST DToR = (pi / 180)
CONST HToR = (pi / 12)
CONST RToD = (180 / pi)
CONST RToH = (12 / pi)
CONST SToR = (DToR / 3600)

'Spherical coordinates

TYPE TSVECTOR
  L AS DOUBLE
  B AS DOUBLE
  r AS DOUBLE
END TYPE

TYPE TDATE
  yy AS INTEGER
  mm AS INTEGER
  dd AS DOUBLE
  H AS INTEGER
  m AS INTEGER
  S AS SINGLE
END TYPE


